Get synchronizationJob
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve the existing synchronization job and its properties.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Directory.Read.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Application.ReadWrite.OwnedBy, Directory.ReadWrite.All |
HTTP Request
GET /servicePrincipals/{id}/synchronization/jobs/{jobId}/
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, returns a 200 OK response with a synchronizationJob in the response body.
Example
Request
The following is an example of a request.
GET https://graph.microsoft.com/beta/servicePrincipals/{id}/synchronization/jobs/{jobId}/
Response
The following is an example of a response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "{jobId}",
"templateId": "BoxOutDelta",
"schedule": {
"expiration": null,
"interval": "P10675199DT2H48M5.4775807S",
"state": "Disabled"
},
"status": {
"countSuccessiveCompleteFailures": 0,
"escrowsPruned": false,
"synchronizedEntryCountByType": [],
"code": "Paused",
"lastExecution": null,
"lastSuccessfulExecution": null,
"progress": [],
"lastSuccessfulExecutionWithExports": null,
"steadyStateFirstAchievedTime": "0001-01-01T00:00:00Z",
"steadyStateLastAchievedTime": "0001-01-01T00:00:00Z",
"quarantine": {
"currentBegan": "",
"nextAttempt": "",
"reason": "",
"seriesBegan": "",
"seriesCount": 2,
"error": {
"code": "SalesforceInvalidCredentials",
"message": "Your Salesforce.com credentials are invalid. Please obtain a current Salesforce.com administrative user name, password and security token, and enter those in the screen for configuring user provisioning",
"tenantActionable": true
}
},
"troubleshootingUrl": null
},
"synchronizationJobSettings": [
{
"name": "QuarantineTooManyDeletesThreshold",
"value": "500"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk